[vala/0.12] tests: Do not use xargs GNU extension in the test runner
- From: Jürg Billeter <juergbi src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [vala/0.12] tests: Do not use xargs GNU extension in the test runner
- Date: Sun, 29 May 2011 11:22:03 +0000 (UTC)
commit a37d25163f9d5b24f3593302f67806e40cac8f36
Author: Alexander Kojevnikov <alexander kojevnikov com>
Date: Wed Mar 16 14:41:10 2011 +0800
tests: Do not use xargs GNU extension in the test runner
Fixes bug 644884.
tests/testrunner.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
---
diff --git a/tests/testrunner.sh b/tests/testrunner.sh
index ee5ec01..0d477ea 100755
--- a/tests/testrunner.sh
+++ b/tests/testrunner.sh
@@ -164,7 +164,7 @@ EOF
cat $SOURCEFILES >> main.vala
-if $VALAC $VALAFLAGS -o test$EXEEXT $(echo $PACKAGES | xargs -n 1 -r echo -n " --pkg") main.vala &>log; then
+if $VALAC $VALAFLAGS -o test$EXEEXT $([ -z "$PACKAGES" ] || echo $PACKAGES | xargs -n 1 echo -n " --pkg") main.vala &>log; then
echo -e "\033[0;32mOK\033[m"
else
echo -e "\033[0;31mFAIL\033[m"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]